WordPress.org

Ready to get started?Download WordPress

Forums

Disable Updates Manager
[resolved] [closed] If you unckeck an option and save, it throws errors (15 posts)

  1. davidjs
    Member
    Posted 5 months ago #

    I set disable all, then went back and unchecked that option and saved. Now the plugin fails and it shows errors on every option and nothing will save. Note I have no other plugins installed.

    Warning: Illegal string offset 'all' in /home/natoli/public_html/newsite/wp-content/plugins/stops-core-theme-and-plugin-updates/Function.php on line 438
    value="1" id="all_notify" name="_disable_updates[all]"> Disable All Updates ? Just disables the three updates, nothing else.
    Warning: Illegal string offset 'plugin' in /home/natoli/public_html/newsite/wp-content/plugins/stops-core-theme-and-plugin-updates/Function.php on line 448
    value="1" id="plugins_notify" name="_disable_updates[plugin]"> Disable Plugin Updates
    Warning: Illegal string offset 'theme' in /home/natoli/public_html/newsite/wp-content/plugins/stops-core-theme-and-plugin-updates/Function.php on line 452
    value="1" id="themes_notify" name="_disable_updates[theme]"> Disable Theme Updates
    Warning: Illegal string offset 'core' in /home/natoli/public_html/newsite/wp-content/plugins/stops-core-theme-and-plugin-updates/Function.php on line 456
    value="1" id="core_notify" name="_disable_updates[core]"> Disable WordPress Core Update

    https://wordpress.org/plugins/stops-core-theme-and-plugin-updates/

  2. Matthew
    Member
    Plugin Author

    Posted 5 months ago #

    I think I have pinpointed the problem. In the "Disable Theme Updates" setting, and the "Disable Plugin Updates" setting, on line 448 and 452. It was caused by a typo. The "Disable Theme Updates" setting, and the "Disable Plugin Updates" settings classes are "plugin", and "theme". But on lines 448 and 452, their classes were "plugins", and "themes".

    It makes sense that the error was in the settings page because that code is part of the settings page.

    Sorry for this mistake. I will try to have it fixed by Wednesday.

    To see what the error means, you can view this page.

    Also, you can download the hopefully fixed version here (3.7.0). If you can let me know if that fixed it, that would be much appreciated. If that version does not work, please let me know also. I will not release the next version, until you have replied and say that it is fixed.

    If it is not fixed, please provide me with more information (version, WordPress version, url, etc.).

    I will post it here when I have released the version (3.7.0) to fix this.

    Thanks for noticing this problem, and thanks for the error code.
    Websiteguy

    P.S. If anyone else would like to test the version to see if that fixed it, please do.

  3. davidjs
    Member
    Posted 5 months ago #

    After I delete the old version and uploaded this new version, the error was gone and I was able to check one of the options and save. But after un checking the option, the errors came back and now Im unable to use the plugin again.

  4. Matthew
    Member
    Plugin Author

    Posted 5 months ago #

    What setting was it? Doe it do it to all the settings?

  5. davidjs
    Member
    Posted 5 months ago #

    If you enable any option and then uncheck that option, the plugin will crash. After that there is no way to remove the error unless you delete the current version of the plugin and install another version, this seems to clear the error. So Im switching back and forth between the current release and the one you provided in this thread.

  6. Matthew
    Member
    Plugin Author

    Posted 5 months ago #

    Does this problem happen in WordPress 3.8.1?

    Did the error code change with the new version that I posted above?

  7. Matthew
    Member
    Plugin Author

    Posted 5 months ago #

    Did you solve it? What theme are you using?

  8. davidjs
    Member
    Posted 5 months ago #

    I dont think the error code changed, and it doesnt matter what theme is used. I am using 3.8.1
    For now I just left it alone. Changing between versions of your plugin clears the error, and as long as I dont disable a check box again, I shouldn't see the error. But know that the new version did not fix the error.

  9. Matthew
    Member
    Plugin Author

    Posted 4 months ago #

    Is it fixed with WordPress 3.9?

  10. Matthew
    Member
    Plugin Author

    Posted 4 months ago #

    I just updated Disable Updates Manager to version 4.0. See if that fixes the problem.

  11. Matthew
    Member
    Plugin Author

    Posted 4 months ago #

    I am still trying to figure out. Please answer the questions above.

  12. Matthew
    Member
    Plugin Author

    Posted 3 months ago #

    What about version 4.0.2 with WordPress 3.9.1?

  13. Vishu7
    Member
    Posted 2 months ago #

    oh i missed this thread but this is still happening no luck with 3.9.1 wp and plugin version 4.0.3

    Thanks,
    Vishal

  14. esmi
    Forum Moderator
    Posted 2 months ago #

    If you require assistance then, as per the Forum Welcome, please post your own topic instead of tagging onto someone else's topic.

    I am now closing this 2 month old topic as it references an older version of WordPress.

  15. Matthew
    Member
    Plugin Author

    Posted 2 months ago #

    Maybe it will be fixed in 4.1.0.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.